/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://github.com/google/apis-client-generator/
 * (build: 1969-12-31 23:59:59 UTC)
 * on 2021-02-24 at 00:14:02 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.mybusiness.v4.model;

/**
 * Personal protection measures implemented by the hotel during COVID-19.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google My Business API. For a detailed explanation
 * see:
 * <a href="https://developers.google.com/api-client-library/java/google-http-java-client/json">https://developers.google.com/api-client-library/java/google-http-java-client/json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class PersonalProtection extends com.google.api.client.json.GenericJson {

  /**
   * Hand-sanitizer and/or sanitizing wipes are offered in common areas.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.Boolean commonAreasOfferSanitizingItems;

  /**
   * Common areas offer sanitizing items exception.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String commonAreasOfferSanitizingItemsException;

  /**
   * Masks required on the property.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.Boolean faceMaskRequired;

  /**
   * Face mask required exception.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String faceMaskRequiredException;

  /**
   * In-room hygiene kits with masks, hand sanitizer, and/or antibacterial wipes.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.Boolean guestRoomHygieneKitsAvailable;

  /**
   * Guest room hygiene kits available exception.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String guestRoomHygieneKitsAvailableException;

  /**
   * Masks and/or gloves available for guests.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.Boolean protectiveEquipmentAvailable;

  /**
   * Protective equipment available exception.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String protectiveEquipmentAvailableException;

  /**
   * Hand-sanitizer and/or sanitizing wipes are offered in common areas.
   * @return value or {@code null} for none
   */
  public java.lang.Boolean getCommonAreasOfferSanitizingItems() {
    return commonAreasOfferSanitizingItems;
  }

  /**
   * Hand-sanitizer and/or sanitizing wipes are offered in common areas.
   * @param commonAreasOfferSanitizingItems commonAreasOfferSanitizingItems or {@code null} for none
   */
  public PersonalProtection setCommonAreasOfferSanitizingItems(java.lang.Boolean commonAreasOfferSanitizingItems) {
    this.commonAreasOfferSanitizingItems = commonAreasOfferSanitizingItems;
    return this;
  }

  /**
   * Common areas offer sanitizing items exception.
   * @return value or {@code null} for none
   */
  public java.lang.String getCommonAreasOfferSanitizingItemsException() {
    return commonAreasOfferSanitizingItemsException;
  }

  /**
   * Common areas offer sanitizing items exception.
   * @param commonAreasOfferSanitizingItemsException commonAreasOfferSanitizingItemsException or {@code null} for none
   */
  public PersonalProtection setCommonAreasOfferSanitizingItemsException(java.lang.String commonAreasOfferSanitizingItemsException) {
    this.commonAreasOfferSanitizingItemsException = commonAreasOfferSanitizingItemsException;
    return this;
  }

  /**
   * Masks required on the property.
   * @return value or {@code null} for none
   */
  public java.lang.Boolean getFaceMaskRequired() {
    return faceMaskRequired;
  }

  /**
   * Masks required on the property.
   * @param faceMaskRequired faceMaskRequired or {@code null} for none
   */
  public PersonalProtection setFaceMaskRequired(java.lang.Boolean faceMaskRequired) {
    this.faceMaskRequired = faceMaskRequired;
    return this;
  }

  /**
   * Face mask required exception.
   * @return value or {@code null} for none
   */
  public java.lang.String getFaceMaskRequiredException() {
    return faceMaskRequiredException;
  }

  /**
   * Face mask required exception.
   * @param faceMaskRequiredException faceMaskRequiredException or {@code null} for none
   */
  public PersonalProtection setFaceMaskRequiredException(java.lang.String faceMaskRequiredException) {
    this.faceMaskRequiredException = faceMaskRequiredException;
    return this;
  }

  /**
   * In-room hygiene kits with masks, hand sanitizer, and/or antibacterial wipes.
   * @return value or {@code null} for none
   */
  public java.lang.Boolean getGuestRoomHygieneKitsAvailable() {
    return guestRoomHygieneKitsAvailable;
  }

  /**
   * In-room hygiene kits with masks, hand sanitizer, and/or antibacterial wipes.
   * @param guestRoomHygieneKitsAvailable guestRoomHygieneKitsAvailable or {@code null} for none
   */
  public PersonalProtection setGuestRoomHygieneKitsAvailable(java.lang.Boolean guestRoomHygieneKitsAvailable) {
    this.guestRoomHygieneKitsAvailable = guestRoomHygieneKitsAvailable;
    return this;
  }

  /**
   * Guest room hygiene kits available exception.
   * @return value or {@code null} for none
   */
  public java.lang.String getGuestRoomHygieneKitsAvailableException() {
    return guestRoomHygieneKitsAvailableException;
  }

  /**
   * Guest room hygiene kits available exception.
   * @param guestRoomHygieneKitsAvailableException guestRoomHygieneKitsAvailableException or {@code null} for none
   */
  public PersonalProtection setGuestRoomHygieneKitsAvailableException(java.lang.String guestRoomHygieneKitsAvailableException) {
    this.guestRoomHygieneKitsAvailableException = guestRoomHygieneKitsAvailableException;
    return this;
  }

  /**
   * Masks and/or gloves available for guests.
   * @return value or {@code null} for none
   */
  public java.lang.Boolean getProtectiveEquipmentAvailable() {
    return protectiveEquipmentAvailable;
  }

  /**
   * Masks and/or gloves available for guests.
   * @param protectiveEquipmentAvailable protectiveEquipmentAvailable or {@code null} for none
   */
  public PersonalProtection setProtectiveEquipmentAvailable(java.lang.Boolean protectiveEquipmentAvailable) {
    this.protectiveEquipmentAvailable = protectiveEquipmentAvailable;
    return this;
  }

  /**
   * Protective equipment available exception.
   * @return value or {@code null} for none
   */
  public java.lang.String getProtectiveEquipmentAvailableException() {
    return protectiveEquipmentAvailableException;
  }

  /**
   * Protective equipment available exception.
   * @param protectiveEquipmentAvailableException protectiveEquipmentAvailableException or {@code null} for none
   */
  public PersonalProtection setProtectiveEquipmentAvailableException(java.lang.String protectiveEquipmentAvailableException) {
    this.protectiveEquipmentAvailableException = protectiveEquipmentAvailableException;
    return this;
  }

  @Override
  public PersonalProtection set(String fieldName, Object value) {
    return (PersonalProtection) super.set(fieldName, value);
  }

  @Override
  public PersonalProtection clone() {
    return (PersonalProtection) super.clone();
  }

}
